Stored in this browser only — never sent to Payonclick. The samples below fill in as you type.
API_KEY="poc_live_your_key_here"
TS=$(date +%s)
curl -X GET 'https://payonclick.in/ext/v1/balance' \
-H "Authorization: Bearer $API_KEY" \
-H "X-Timestamp: $TS"
import hashlib, hmac, json, time, requests
API_KEY = "poc_live_your_key_here"
PATH = "/ext/v1/balance"
BODY = b""
ts = str(int(time.time()))
r = requests.request(
"GET", "https://payonclick.in" + PATH + "",
headers={
"Authorization": f"Bearer {API_KEY}",
"X-Timestamp": ts,
}, timeout=90)
print(r.json())
const crypto = require('crypto');
const API_KEY = 'poc_live_your_key_here';
const path = '/ext/v1/balance';
const body = '';
const ts = Math.floor(Date.now() / 1000).toString();
async function main() {
const res = await fetch('https://payonclick.in' + path + '', {
method: 'GET',
headers: {
Authorization: `Bearer ${API_KEY}`,
'X-Timestamp': ts,
},
signal: AbortSignal.timeout(90000),
});
console.log(JSON.stringify(await res.json(), null, 2));
}
main();
<?php
$apiKey = 'poc_live_your_key_here';
$path = '/ext/v1/balance';
$body = '';
$ts = (string) time();
$headers = [
"Authorization: Bearer {$apiKey}",
"X-Timestamp: {$ts}",
];
$ch = curl_init('https://payonclick.in' . $path . '');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_TIMEOUT => 90,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => $headers,
]);
echo curl_exec($ch);
import java.net.URI;
import java.net.http.*;
import java.nio.charset.StandardCharsets;
public class PayonclickExample {
static final String HOST = "https://payonclick.in";
static final String API_KEY = "poc_live_your_key_here";
public static void main(String[] args) throws Exception {
String path = "/ext/v1/balance";
String body = "";
String ts = String.valueOf(System.currentTimeMillis() / 1000);
HttpRequest.Builder req = HttpRequest.newBuilder(URI.create(HOST + path + ""))
.timeout(java.time.Duration.ofSeconds(90))
.header("Authorization", "Bearer " + API_KEY)
.header("X-Timestamp", ts);
req.method("GET", HttpRequest.BodyPublishers.noBody());
HttpResponse<String> res = HttpClient.newHttpClient()
.send(req.build(), HttpResponse.BodyHandlers.ofString());
System.out.println(res.body());
}
}
{
"success": true,
"data": {
"currency": "INR",
"as_of": "2026-07-29T14:35:12",
"wallets": {
"MAIN": { "balance": 45230.50, "funds": ["bbps", "recharge"] },
"AEPS": { "balance": 10000.00, "funds": ["aeps", "dmt", "upicw", "matm"] }
},
"products": {
"bbps": {
"wallet": "MAIN",
"base_url": "/ext/v1/bbps",
"permission": "bills",
"min_amount": 1.0,
"max_amount": 200000.0
},
"dmt": {
"wallet": "AEPS",
"base_url": "/ext/v1/dmt",
"permission": "transfer",
"min_amount": 100.0,
"max_amount": 50000.0,
"daily_limit_per_beneficiary": 200000.0
},
"recharge": {
"wallet": "MAIN",
"base_url": "/ext/v1/recharge",
"permission": "recharge",
"min_amount": 1.0,
"max_amount": 50000.0
},
"aeps": {
"wallet": "AEPS",
"base_url": "/ext/v1/aeps",
"permission": "aeps",
"limits_by_service": { "CW": { "min_amount": 100, "max_amount": 10000, "multiple_of": 50 } /* AP, CD */ }
},
"upicw": {
"wallet": "AEPS",
"base_url": "/ext/v1/upicw",
"permission": "upicw",
"min_amount": 100.0,
"max_amount": 5000.0,
"multiple_of": 100
},
"matm": {
"wallet": "AEPS",
"base_url": "/ext/v1/matm",
"permission": "matm",
"limits_by_service": { "CW": { "min_amount": 100, "max_amount": 10000, "multiple_of": 100 } }
}
}
}
}